{ pkgs ? import <nixpkgs> {} }:
let
  pkgsPin = import (pkgs.fetchFromGitHub {
    owner = "NixOS";
    repo = "nixpkgs";
    rev = "a55ae76040581f6a69aeb2c63e4878b306c2b9ac";
    sha256 = "0iywjwn8ksdxpfm8fan5yqdvmb91sirjgx0w3jqczza2vhxl9pf3";
  }) {};
in
pkgs.mkShell {
  buildInputs = with pkgsPin; [
    git
    go
    gotestsum
    gnumake
    modd
    mockgen
  ];

  shellHook = ''
    echo '
╔═ ╝╔═║═╔╝║ ║╔═ ╔═║║ ║╔═ ╔═║═╔╝
╔═║║╔╔╝ ║ ╔═║║ ║╔═║═╔╝╔═║║ ║ ║
══ ╝╝ ╝ ╝ ╝ ╝══ ╝ ╝ ╝ ══ ══╝ ╝
'
  '';
}
